// For compilers that supports precompilation , includes "wx/wx.h"
#include "wx/wxprec.h"

#ifndef WX_PRECOMP
	#include "wx/wx.h"
#endif

#include "TextFrame.h"

TextFrame::TextFrame(const wxChar *title, int xpos, int ypos, int width, int height)
	: wxFrame((wxFrame *) NULL, -1, title, wxPoint(xpos, ypos), wxSize(width, height))
{
	m_pTextCtrl = new wxTextCtrl(this, -1, wxString("Type some text..."),
									   wxDefaultPosition, wxDefaultSize, wxTE_MULTILINE);

	m_pMenuBar = new wxMenuBar();

  // File Menu
	m_pFileMenu = new wxMenu();
  m_pFileMenu->Append(MENU_FILE_OPEN, "&Open", "Opens an existing file");
  m_pFileMenu->Append(MENU_FILE_SAVE, "&Save", "Save the content");
  m_pFileMenu->AppendSeparator();
  m_pFileMenu->Append(MENU_FILE_QUIT, "&Quit", "Quit the application");
  m_pMenuBar->Append(m_pFileMenu, "&File");

  // About menu
  m_pInfoMenu = new wxMenu();
  m_pInfoMenu->Append(MENU_INFO_ABOUT, "&About", "Shows information about the application");
  m_pMenuBar->Append(m_pInfoMenu, "&Info");

  SetMenuBar(m_pMenuBar);

  // Statusbar
  CreateStatusBar(3);
  SetStatusText("Ready", 0);
 }

TextFrame::~TextFrame()
{
}

void TextFrame::OnMenuFileOpen(wxCommandEvent &event)
{
  wxLogMessage("File Open Menu Selected");
}

void TextFrame::OnMenuFileSave(wxCommandEvent &event)
{
  wxLogMessage("File Save Menu Selected");
}

void TextFrame::OnMenuFileQuit(wxCommandEvent &event)
{
  Close(TRUE);
}

void TextFrame::OnMenuInfoAbout(wxCommandEvent &event)
{
  wxLogMessage("File About Menu Selected");
}

BEGIN_EVENT_TABLE(TextFrame, wxFrame)
   EVT_MENU(MENU_FILE_OPEN, TextFrame::OnMenuFileOpen)
   EVT_MENU(MENU_FILE_SAVE, TextFrame::OnMenuFileSave)
   EVT_MENU(MENU_FILE_QUIT, TextFrame::OnMenuFileQuit)
END_EVENT_TABLE()


