#ifndef _TEXTFRAME_H
#define _TEXTFRAME_H

class TextFrame : public wxFrame
{
public:
  /**
   * Constructor. Creates a new TextFrame
   */
   TextFrame(const wxChar *title, int xpos, int ypos, int width, int height);

  /**
   * Destructor
   */
  ~TextFrame();

  /**
   * Processes menu File|Open
   */
  void OnMenuFileOpen(wxCommandEvent &event);
  /**
   * Processes menu File|Save
   */
  void OnMenuFileSave(wxCommandEvent &event);
  /**
   * Processes menu File|Quit
   */
  void OnMenuFileQuit(wxCommandEvent &event);
  /**
  * Processes menu About|Info
  */
  void OnMenuInfoAbout(wxCommandEvent &event);

protected:

  DECLARE_EVENT_TABLE()

private:

    wxTextCtrl *m_pTextCtrl;
    wxMenuBar *m_pMenuBar;
    wxMenu *m_pFileMenu;
    wxMenu *m_pInfoMenu;

    enum
    {
      MENU_FILE_OPEN,
      MENU_FILE_SAVE,
      MENU_FILE_QUIT,
      MENU_INFO_ABOUT
    };
};

#endif _TEXTFRAME_H

