// For compilers that supports precompilation , includes "wx/wx.h"
#include "wx/wxprec.h"

#ifndef WX_PRECOMP
	#include "wx/wx.h"
#endif
#include "NumTextCtrl.h"
#include <ctype.h>

NumTextCtrl::NumTextCtrl(wxWindow *parent) : wxTextCtrl(parent, -1)
{
}

void NumTextCtrl::OnChar(wxKeyEvent& event)
{
   if ( isdigit(event.GetKeyCode()) )
   {
     // Numeric characters are allowed, so the base class wxTextCtrl
     // is allowed to process the event. This is done using the Skip() method.
     event.Skip();
   }
   else
   {
     // Character is not allowed.
     wxLogMessage("Character not allowed");
     wxBell();
   }
}

BEGIN_EVENT_TABLE(NumTextCtrl, wxTextCtrl)
   EVT_CHAR(NumTextCtrl::OnChar)
END_EVENT_TABLE()

