// For compilers that supports precompilation , includes "wx/wx.h"
#include "wx/wxprec.h"

#ifndef WX_PRECOMP
	#include "wx/wx.h"
#endif

#include "PlugEventFrame.h"
#include "LogEventHandler.h"

PlugEventFrame::PlugEventFrame(const wxChar *title, int xpos, int ypos, int width, int height)
	: wxFrame((wxFrame *) NULL, -1, title, wxPoint(xpos, ypos), wxSize(width, height))
{
  m_pTextCtrl = new wxTextCtrl(this, -1, "", wxDefaultPosition, wxDefaultSize, wxTE_MULTILINE);

  wxMenuBar *menuBar = new wxMenuBar();

  wxMenu *menu = new wxMenu();
  menu->Append(MENU1_ITEM1, "Item 1");
  menu->Append(MENU1_ITEM2, "Item 2");
  menu->Append(MENU1_ITEM3, "Item 3");
  menuBar->Append(menu, "Menu 1");

  menu = new wxMenu();
  menu->Append(MENU2_ITEM1, "Item 1");
  menu->Append(MENU2_ITEM2, "Item 2");
  menu->Append(MENU2_ITEM3, "Item 3");
  menuBar->Append(menu, "Menu 2");

  SetMenuBar(menuBar);

  PushEventHandler(new LogEventHandler());
  // Statusbar
  CreateStatusBar(3);
  SetStatusText("Ready", 0);

  wxLogWindow *log = new wxLogWindow(this, "Menu logging");
 }

PlugEventFrame::~PlugEventFrame()
{
}

void PlugEventFrame::OnMenu1Item1(wxMenuEvent &event)
{
  m_pTextCtrl->AppendText("Menu1 - Item1 selected\n");
}

void PlugEventFrame::OnMenu1Item2(wxMenuEvent &event)
{
  m_pTextCtrl->AppendText("Menu1 - Item2 selected\n");
}

void PlugEventFrame::OnMenu1Item3(wxMenuEvent &event)
{
  m_pTextCtrl->AppendText("Menu1 - Item3 selected\n");
}

void PlugEventFrame::OnMenu2Item1(wxMenuEvent &event)
{
  m_pTextCtrl->AppendText("Menu2 - Item1 selected\n");
}

void PlugEventFrame::OnMenu2Item2(wxMenuEvent &event)
{
  m_pTextCtrl->AppendText("Menu2 - Item2 selected\n");
}

void PlugEventFrame::OnMenu2Item3(wxMenuEvent &event)
{
  m_pTextCtrl->AppendText("Menu2 - Item3 selected\n");
}

BEGIN_EVENT_TABLE(PlugEventFrame, wxFrame)
	EVT_MENU(MENU1_ITEM1, PlugEventFrame::OnMenu1Item1)
	EVT_MENU(MENU1_ITEM2, PlugEventFrame::OnMenu1Item2)
	EVT_MENU(MENU1_ITEM3, PlugEventFrame::OnMenu1Item3)
	EVT_MENU(MENU2_ITEM1, PlugEventFrame::OnMenu2Item1)
	EVT_MENU(MENU2_ITEM2, PlugEventFrame::OnMenu2Item2)
	EVT_MENU(MENU2_ITEM3, PlugEventFrame::OnMenu2Item3)
END_EVENT_TABLE()
