// For compilers that supports precompilation , includes "wx/wx.h"
#include "wx/wxprec.h"

#ifndef WX_PRECOMP
    #include "wx/wx.h"
#endif

#include "AboutDialog.h"

AboutDialog:: AboutDialog(wxWindow *parent)
    : wxDialog(parent, -1, "About Simple Text Editor", wxDefaultPosition,
               wxSize(200, 200), wxDEFAULT_DIALOG_STYLE)
{
  SetAutoLayout(TRUE);

  wxLayoutConstraints *layout = new wxLayoutConstraints();

  layout->top.SameAs(this, wxTop, 10);
  layout->centreX.SameAs(this, wxCentreX);
  layout->width.AsIs();
  layout->height.AsIs();
  m_pInfoText = new wxStaticText(this, -1, "", wxPoint(-1, -1), wxDefaultSize, wxALIGN_CENTER);
  m_pInfoText->SetConstraints(layout);

  layout = new wxLayoutConstraints();
  layout->top.Below(m_pInfoText, 10);
  layout->centreX.SameAs(this, wxCentreX);
  layout->width.PercentOf(this, wxWidth, 80);
  layout->height.AsIs();

  m_pOkButton = new wxButton(this, wxID_OK, "Ok", wxPoint(-1, -1));
  m_pOkButton->SetConstraints(layout);

  Layout();
}

void AboutDialog::SetText(const wxString& text)
{
  m_pInfoText->SetLabel(text);
 // Call layout, because the static text could be resized.
  Layout();
}


