// For compilers that supports precompilation , includes "wx/wx.h"
#include "wx/wxprec.h"

#ifndef WX_PRECOMP
    #include "wx/wx.h"
#endif

#include "AboutDialog.h"

AboutDialog:: AboutDialog(wxWindow *parent)
    : wxDialog(parent, -1, "About Simple Text Editor", wxDefaultPosition,
               wxSize(200, 200), wxDEFAULT_DIALOG_STYLE | wxRESIZE_BORDER)
{
  wxBoxSizer *dialogSizer = new wxBoxSizer(wxVERTICAL);

  wxBoxSizer *textSizer = new wxBoxSizer(wxHORIZONTAL);
  m_pInfoText = new wxStaticText(this, -1, "", wxDefaultPosition, wxDefaultSize, wxALIGN_CENTER);
  // The text can grow horizontally.
  textSizer->Add(m_pInfoText, 1, 0);

  wxBoxSizer *buttonSizer = new wxBoxSizer(wxHORIZONTAL);
  m_pOkButton = new wxButton(this, wxID_OK, "Ok", wxPoint(-1, -1));
  // The button can grow horizontally, not vertically.
  // The button has a left and right border with size 20
  buttonSizer->Add(m_pOkButton, 1, wxLEFT | wxRIGHT, 20);

  // The sizers can't change their vertical size. They can only grow horizontally.
  dialogSizer->Add(textSizer, 0, wxGROW);
  dialogSizer->Add(buttonSizer, 0, wxGROW);

  SetSizer(dialogSizer);
  SetAutoLayout(TRUE);
  Layout();
}

void AboutDialog::SetText(const wxString& text)
{
  m_pInfoText->SetLabel(text);
  wxSizer *sizer = GetSizer();
  sizer->SetItemMinSize(m_pInfoText, m_pInfoText->GetSize().GetWidth(), m_pInfoText->GetSize().GetHeight());
  Layout();
}

void AboutDialog::OnSize(wxSizeEvent &event)
{
  Layout();
  Refresh();
}

BEGIN_EVENT_TABLE(AboutDialog, wxDialog)
  EVT_SIZE(AboutDialog::OnSize)
END_EVENT_TABLE()

