// For compilers that supports precompilation , includes "wx/wx.h"
#include "wx/wxprec.h"

#ifndef WX_PRECOMP
    #include "wx/wx.h"
#endif

#include "AboutDialog.h"

AboutDialog:: AboutDialog(wxWindow *parent)
    : wxDialog(parent, -1, "About Simple Text Editor", wxDefaultPosition,
               wxSize(200, 200), wxDEFAULT_DIALOG_STYLE | wxRESIZE_BORDER)
{
  wxGridSizer *dialogSizer = new wxGridSizer(2, 1, 10, 10);

  m_pInfoText = new wxStaticText(this, -1, "", wxDefaultPosition, wxDefaultSize, wxALIGN_CENTER);
  dialogSizer->Add(m_pInfoText, 0, wxALIGN_CENTER);

  m_pOkButton = new wxButton(this, wxID_OK, "Ok", wxPoint(-1, -1));
  dialogSizer->Add(m_pOkButton, 0, wxALIGN_CENTER);

  SetSizer(dialogSizer);
  SetAutoLayout(TRUE);
  Layout();
}

void AboutDialog::SetText(const wxString& text)
{
  m_pInfoText->SetLabel(text);
  wxSizer *sizer = GetSizer();
  sizer->SetItemMinSize(m_pInfoText, m_pInfoText->GetSize().GetWidth(), m_pInfoText->GetSize().GetHeight());
  Layout();
}

void AboutDialog::OnSize(wxSizeEvent &event)
{
  Layout();
  Refresh();
}

BEGIN_EVENT_TABLE(AboutDialog, wxDialog)
  EVT_SIZE(AboutDialog::OnSize)
END_EVENT_TABLE()

