#include "wx/wx.h"

#include "ButtonDlg.h"

ButtonDlg::ButtonDlg() : wxDialog(NULL, -1, "ButtonDialog", wxDefaultPosition, wxSize(150, 150))
{
  m_pButton = new wxBitmapButton(this, ID_BUTTON_SELECT, wxBitmap("button"));

  // Setting the button in the middle of the dialog.
  wxBoxSizer *dlgSizer = new wxBoxSizer(wxHORIZONTAL);
  wxBoxSizer *buttonSizer = new wxBoxSizer(wxVERTICAL);
  buttonSizer->Add(m_pButton, 0, wxALIGN_CENTER);
  dlgSizer->Add(buttonSizer, 1, wxALIGN_CENTER);
  SetSizer(dlgSizer);
  SetAutoLayout(TRUE);
  Layout();

}

void ButtonDlg::OnButtonSelect(wxCommandEvent& command)
{
  wxMessageBox("You clicked my button");
}

// We have to destroy this dialog, because we don't use a default Ok button!!!
void ButtonDlg::OnClose(wxCloseEvent &event)
{
  Destroy();
}

BEGIN_EVENT_TABLE(ButtonDlg, wxDialog)
  EVT_BUTTON(ID_BUTTON_SELECT, ButtonDlg::OnButtonSelect)
  EVT_CLOSE(ButtonDlg::OnClose)
END_EVENT_TABLE()

