#include <wx/wx.h>

#include "CalendarDlg.h"

CalendarDlg::CalendarDlg() : wxDialog(NULL, -1, "CalendarDialog", wxDefaultPosition, wxSize(185, 185))
{
  m_pCalendar = new wxCalendarCtrl(this, ID_CALENDAR, wxDefaultDateTime,
                                    wxDefaultPosition, wxDefaultSize,
                                    wxCAL_MONDAY_FIRST |
                                    wxCAL_SHOW_HOLIDAYS |
                                    wxRAISED_BORDER);

  wxBoxSizer *dlgSizer = new wxBoxSizer(wxHORIZONTAL);
  wxBoxSizer *CalendarSizer = new wxBoxSizer(wxVERTICAL);
  CalendarSizer->Add(m_pCalendar, 1, wxGROW);
  dlgSizer->Add(CalendarSizer, 1, wxGROW);
  SetSizer(dlgSizer);
  SetAutoLayout(TRUE);
  Layout();

}

void CalendarDlg::OnCalendar(wxCalendarEvent &event)
{
  int day = event.GetDate().GetDay();
  bool on = false;
  wxCalendarDateAttr *attr = m_pCalendar->GetAttr(day);
  if ( attr != NULL )
  {
    if ( attr->GetBackgroundColour() == *wxRED )
       on = true;
  }
  wxCalendarDateAttr *newAttr = new wxCalendarDateAttr(*wxBLACK, on ? *wxWHITE : *wxRED);
  m_pCalendar->SetAttr(day, newAttr);
}

void CalendarDlg::OnClose(wxCloseEvent &event)
{
  Destroy();
}

BEGIN_EVENT_TABLE(CalendarDlg, wxDialog)
  EVT_CALENDAR(ID_CALENDAR, CalendarDlg::OnCalendar)
  EVT_CLOSE(CalendarDlg::OnClose)
END_EVENT_TABLE()


