#include <wx/wx.h>

#include "CheckBoxDlg.h"

CheckBoxDlg::CheckBoxDlg() : wxDialog(NULL, -1, "CheckBoxDialog", wxDefaultPosition, wxSize(150, 150))
{
  m_pCheckBox = new wxCheckBox(this, ID_CHECKBOX, "Check Me");

  // Set the checkBox in the middle of the dialog.
  wxBoxSizer *dlgSizer = new wxBoxSizer(wxHORIZONTAL);
  wxBoxSizer *checkBoxSizer = new wxBoxSizer(wxVERTICAL);
  checkBoxSizer->Add(m_pCheckBox, 0, wxALIGN_CENTER);
  dlgSizer->Add(checkBoxSizer, 1, wxALIGN_CENTER);
  SetSizer(dlgSizer);
  SetAutoLayout(TRUE);
  Layout();

}

void CheckBoxDlg::OnCheck(wxCommandEvent& command)
{
    if ( command.IsChecked() )
      wxMessageBox("You checked");
    else
      wxMessageBox("You unchecked!");
}

void CheckBoxDlg::OnClose(wxCloseEvent &event)
{
  Destroy();
}

BEGIN_EVENT_TABLE(CheckBoxDlg, wxDialog)
  EVT_CHECKBOX(ID_CHECKBOX, CheckBoxDlg::OnCheck)
  EVT_CLOSE(CheckBoxDlg::OnClose)
END_EVENT_TABLE()


