#include <wx/wx.h>
#include <wx/checklst.h>

#include "CheckListBoxDlg.h"

CheckListBoxDlg::CheckListBoxDlg() : wxDialog((wxWindow*) NULL, -1, "Test", wxDefaultPosition, wxSize(150, 150))
{
  wxString list[] = { "ABS", "Airbag", "Air conditioning" } ;
  // We can use wxDefaultPosition and wxDefaultSize,
  // because the sizers will take care of the this.
  m_pCheckListBox = new wxCheckListBox(this, ID_CHECKLISTBOX, wxDefaultPosition, wxDefaultSize, 3, list);

  wxBoxSizer *dlgSizer = new wxBoxSizer(wxHORIZONTAL);
  wxBoxSizer *CheckListBoxSizer = new wxBoxSizer(wxVERTICAL);
  CheckListBoxSizer->Add(m_pCheckListBox, 1, wxGROW);
  dlgSizer->Add(CheckListBoxSizer, 1, wxGROW);
  SetSizer(dlgSizer);
  SetAutoLayout(TRUE);
  Layout();
}

void CheckListBoxDlg::OnCheck(wxCommandEvent& command)
{
  int item = command.GetSelection();
  wxString msg;
  msg.Printf("You clicked on item %d. The item is now %s", item,
             m_pCheckListBox->IsChecked(item) ? "checked" : "unchecked");
  wxMessageBox(msg);
}

void CheckListBoxDlg::OnClose(wxCloseEvent &event)
{
  Destroy();
}

BEGIN_EVENT_TABLE(CheckListBoxDlg, wxDialog)
  EVT_CHECKLISTBOX(ID_CHECKLISTBOX, CheckListBoxDlg::OnCheck)
  EVT_CLOSE(CheckListBoxDlg::OnClose)
END_EVENT_TABLE()


