#include <wx/wx.h>

#include "GaugeDlg.h"

GaugeDlg::GaugeDlg() : wxDialog(NULL, -1, "GaugeDialog", wxDefaultPosition, wxSize(185, 185))
{
  m_pGauge = new wxGauge(this, -1, 100, wxDefaultPosition, wxSize(150, 20), wxGA_SMOOTH);

  // This example uses a timer to show the progress in the gauge
  m_pTimer = new wxTimer(this, ID_TIMER);
  m_pTimer->Start(100);

  wxBoxSizer *dlgSizer = new wxBoxSizer(wxHORIZONTAL);
  wxBoxSizer *GaugeSizer = new wxBoxSizer(wxVERTICAL);
  GaugeSizer->Add(m_pGauge, 1, wxALIGN_CENTER);
  dlgSizer->Add(GaugeSizer, 1, wxALIGN_CENTER);
  SetSizer(dlgSizer);
  SetAutoLayout(TRUE);
  Layout();

}

void GaugeDlg::OnTimer(wxTimerEvent &event)
{
  int value = m_pGauge->GetValue();
  if ( value == m_pGauge->GetRange() )
  {
    m_pTimer->Stop();
  }
  else
  {
    m_pGauge->SetValue(value + 1);
  }
}

void GaugeDlg::OnClose(wxCloseEvent &event)
{
  Destroy();
}

BEGIN_EVENT_TABLE(GaugeDlg, wxDialog)
  EVT_TIMER(ID_TIMER, GaugeDlg::OnTimer)
  EVT_CLOSE(GaugeDlg::OnClose)
END_EVENT_TABLE()


