#include <wx/wx.h>

#include "RadiobuttonDlg.h"

RadiobuttonDlg::RadiobuttonDlg() : wxDialog(NULL, -1, "RadiobuttonDialog", wxDefaultPosition, wxSize(185, 185))
{
  m_pRadiobutton1 = new wxRadioButton(this, ID_RADIOBUTTON_1, "ABS", wxDefaultPosition, wxDefaultSize, wxRB_GROUP);
  m_pRadiobutton2 = new wxRadioButton(this, ID_RADIOBUTTON_2, "Airbag");
  m_pRadiobutton3 = new wxRadioButton(this, ID_RADIOBUTTON_3, "Air Conditioning");

  wxBoxSizer *dlgSizer = new wxBoxSizer(wxHORIZONTAL);
  wxBoxSizer *RadioButtonSizer = new wxBoxSizer(wxVERTICAL);
  RadioButtonSizer->Add(m_pRadiobutton1);
  RadioButtonSizer->Add(m_pRadiobutton2);
  RadioButtonSizer->Add(m_pRadiobutton3);
  dlgSizer->Add(RadioButtonSizer, 1, wxGROW);
  SetSizer(dlgSizer);
  SetAutoLayout(TRUE);
  Layout();
}

void RadiobuttonDlg::OnRadioButton(wxCommandEvent &event)
{
  wxString selection;
  wxRadioButton *current = (wxRadioButton*) NULL;
  switch(event.GetId())
  {
    case ID_RADIOBUTTON_1:
         current = m_pRadiobutton1;
         break;
    case ID_RADIOBUTTON_2:
         current = m_pRadiobutton2;
         break;
    case ID_RADIOBUTTON_3:
         current = m_pRadiobutton3;
         break;
  }
  // Warning: wxRadioButton doesn't like loosing the focus
  // in this event handler. So to keep the example simple
  // the message is put in the title of the dialog.
  // This problem will be solved in version 2.3.3.
  if ( current != (wxRadioButton*) NULL )
  {
    SetTitle("You've selected " + current->GetLabel());
  }
}

void RadiobuttonDlg::OnClose(wxCloseEvent &event)
{
  Destroy();
}

BEGIN_EVENT_TABLE(RadiobuttonDlg, wxDialog)
  EVT_RADIOBUTTON(ID_RADIOBUTTON_1, RadiobuttonDlg::OnRadioButton)
  EVT_RADIOBUTTON(ID_RADIOBUTTON_2, RadiobuttonDlg::OnRadioButton)
  EVT_RADIOBUTTON(ID_RADIOBUTTON_3, RadiobuttonDlg::OnRadioButton)
  EVT_CLOSE(RadiobuttonDlg::OnClose)
END_EVENT_TABLE()


