#ifndef _GOTOLINEDIALOG_H
#define _GOTOLINEDIALOG_H

/**
 * GotoLineDialog shows a dialog where the user can enter a line number.
 */
class GotoLineDialog : public wxDialog
{
public:

  /**
   * Constructor
   */
  GotoLineDialog(wxWindow *parent);

  /**
   * Destructor
   */
  virtual ~GotoLineDialog()
  {
  }

  /**
   * Sets the maximum line number that can be entered by the user.
   */
  void SetMaxLineNumber(long maxLineNumber)
  {
    m_maxLineNumber = maxLineNumber;
  }

  /**
   * Returns the entered line number
   */
  long GetLineNumber(void);

  /**
   * Initializes the dialog
   */
  void OnInitDialog(wxInitDialogEvent &event);

protected:
private:

  wxTextCtrl *m_pLineNumberCtrl;
  wxStaticText *m_pLabel;
  wxString m_lineNumber;
  long m_maxLineNumber;

  DECLARE_EVENT_TABLE()
};

#endif  // _GOTOLINEDIALOG
